package gihyo.lucene.ch3;

/**
 * Copyright 2006 SEKIGUCHI, Koji
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import java.io.IOException;
import org.apache.lucene.index.IndexReader;
import org.apache.lucene.document.Document;

public class DocReaderThread extends Thread {

    static final String ID = "ID";
    private String name;
    private int startId;
    private int endId;
    private IndexReader reader;
    private AbstractThreadLauncher launcher;

    public DocReaderThread( String name, int startId, int endId, AbstractThreadLauncher launcher ) throws IOException {
	this.name = name;
	this.startId = startId;
	this.endId = endId;
	this.launcher = launcher;
	reader = launcher.getIndexReader();
    }

    public DocReaderThread( String name, int startId, int endId, String path ) throws IOException {
	this.name = name;
	this.startId = startId;
	this.endId = endId;
	reader = IndexReader.open( path );
    }

    public void run(){
	System.out.println( name + " : Jn܂B" );
	try{
	    for( int i = startId; i <= endId; i++ ){
		Document doc = reader.document( i - 1 );
		String id = Integer.toString( i );
		if( !doc.get( ID ).equals( id ) )
		    System.out.println( name + " id: " + id + " not found!" );
		sleep( 10 );
	    }
	}
	catch( InterruptedException e ){
	    System.out.println( name + " : G[܂BI܂B" );
	    e.printStackTrace();
	    return;
	}
	catch( IOException e ){
	    System.out.println( name + " : G[܂BI܂B" );
	    e.printStackTrace();
	    return;
	}
	finally{
	    try{
		if( launcher != null )
		    launcher.closeIndexReader();
		else if( reader != null )
		    reader.close();
	    }
	    catch( IOException e ){}
	}
	System.out.println( name + " : I܂B" );
    }
}
