package gihyo.lucene.ch4;

/**
 * Copyright 2006 SEKIGUCHI, Koji
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import org.apache.lucene.search.Query;
import org.apache.lucene.queryParser.QueryParser;
import org.apache.lucene.queryParser.ParseException;
import gihyo.lucene.ch3.BookIndexer;

public class TestQPOperator3 extends AbstractBookSearcher {

    public static void main( String args[] ) throws SearcherException {
	TestQPOperator3 tqpo3 = new TestQPOperator3( args[0] );
	tqpo3.execute();
    }

    private TestQPOperator3( String indexDir ){
	super( indexDir );
    }

    private void execute() throws SearcherException {
	QueryParser qp = new QueryParser( BookIndexer.F_SUMMARY, getAnalyzer() );
	try{
	    Query query = qp.parse( "?" );
	    searchIndex( query );
	    query = qp.parse( "v*" );
	    searchIndex( query );
	    // ȉParseException
	    //query = qp.parse( "*WFNg" );
	    //searchIndex( query );
	}
	catch( ParseException e ){
	    throw new SearcherException( e );
	}
    }
}
