package gihyo.lucene.ch4;

/**
 * Copyright 2006 SEKIGUCHI, Koji
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import org.apache.lucene.search.Query;
import org.apache.lucene.search.regex.RegexQuery;
import org.apache.lucene.index.Term;
import gihyo.lucene.ch3.BookIndexer;

public class TestRegexQuery extends AbstractBookSearcher {

    public static void main( String args[] ) throws SearcherException {
	TestRegexQuery trq = new TestRegexQuery( args[0] );
	trq.execute();
    }

    private TestRegexQuery( String indexDir ){
	super( indexDir );
    }

    private void execute() throws SearcherException {
	Query query = new RegexQuery( new Term( BookIndexer.F_SUMMARY, "..WFNg" ) );
	searchIndex( query );
    }
}
